# Uses of Class
org.eclipse.text.edits.TextEditCopier

Packages that use TextEditCopier
Package
Description
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of TextEditCopier in org.eclipse.text.edits

Methods in org.eclipse.text.edits with parameters of type TextEditCopier
Modifier and Type
Method
Description
`protected void`
CopySourceEdit.`postProcessCopy(TextEditCopier copier)`
`protected void`
CopyTargetEdit.`postProcessCopy(TextEditCopier copier)`
`protected void`
MoveSourceEdit.`postProcessCopy(TextEditCopier copier)`
`protected void`
MoveTargetEdit.`postProcessCopy(TextEditCopier copier)`
`protected void`
TextEdit.`postProcessCopy(TextEditCopier copier)`
This method is called on every edit of the copied tree to do some post-processing like connected an edit to a different edit in the tree.